#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 unordered-containers
version:              0.2.16.0
visibility:           public
id:                   unordered-containers-0.2.16.0-3GDkwMd2NkM63k39VNtCRt
key:                  unordered-containers-0.2.16.0-3GDkwMd2NkM63k39VNtCRt
license:              BSD-3-Clause
copyright:
    2010-2014 Johan Tibell
    2010 Edward Z. Yang

maintainer:           johan.tibell@gmail.com, David.Feuer@gmail.com
author:               Johan Tibell
homepage:
    https://github.com/haskell-unordered-containers/unordered-containers

synopsis:             Efficient hashing-based container types
description:
    Efficient hashing-based container types.  The containers have been
    optimized for performance critical use, both in terms of large data
    quantities and high speed.

    The declared cost of each operation is either worst-case or
    amortized, but remains valid even if structures are shared.

    /Security/

    This package currently provides no defenses against hash collision attacks
    such as HashDoS.
    Users who need to store input from untrusted sources are advised to use
    @Data.Map@ or @Data.Set@ from the @containers@ package instead.

category:             Data
abi:                  c0e0d1261127f4a1e554b64e866f0a89
exposed:              True
exposed-modules:
    Data.HashMap.Internal Data.HashMap.Internal.Array
    Data.HashMap.Internal.List Data.HashMap.Internal.Strict
    Data.HashMap.Lazy Data.HashMap.Strict Data.HashSet
    Data.HashSet.Internal

import-dirs:          /usr/lib/ghc-9.0.2/site-local/unordered-containers-0.2.16.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/unordered-containers-0.2.16.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/unordered-containers-0.2.16.0

hs-libraries:         HSunordered-containers-0.2.16.0-3GDkwMd2NkM63k39VNtCRt
depends:
    base-4.15.1.0 deepseq-1.4.5.0
    hashable-1.4.0.0-C2L4d9qsiUqGAQXABPs7JE

haddock-interfaces:
    /usr/share/doc/haskell-unordered-containers/html/unordered-containers.haddock

haddock-html:         /usr/share/doc/haskell-unordered-containers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

